Bug 236362 - new port: sysutils/rmlint: Remove duplicates and other lint from your filesystem
Summary: new port: sysutils/rmlint: Remove duplicates and other lint from your filesystem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-07 13:26 UTC by Joachim Werner
Modified: 2021-05-30 17:12 UTC (History)
3 users (show)

See Also:


Attachments
patch adding sysutils/rmlint/* (3.62 KB, patch)
2019-03-07 13:26 UTC, Joachim Werner
no flags Details | Diff
the patch adding sysutils/rmlint/* - with added GNOME dependency (3.66 KB, patch)
2019-03-07 15:09 UTC, Joachim Werner
no flags Details | Diff
patch adding sysutils/rmlint/* (3.69 KB, patch)
2019-03-12 12:11 UTC, Joachim Werner
no flags Details | Diff
patch adding port files for rmlint-2.9.0 (4.99 KB, patch)
2019-12-02 21:56 UTC, Joachim Werner
no flags Details | Diff
Updated patch to add sysutils/rmlint (3.78 KB, patch)
2020-12-03 18:32 UTC, Joseph Mingrone
jrm: maintainer-approval?
Details | Diff
patch to add rmlint-2.10.1 (5.47 KB, patch)
2021-02-09 15:29 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff
add rmlint 2.10.1 - also for i386 (6.29 KB, patch)
2021-02-09 18:21 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Werner 2019-03-07 13:26:53 UTC
Created attachment 202683 [details]
patch adding sysutils/rmlint/*

Someone before me tried to contribute rmlint to the ports tree, but I can't see what happend and why it isn't in there currently. So here goes my port of rmlint.

This patch includes the CLI version. I couldn't get the GUI version packaged correctly - if there happens to be popular demand it can be included for sure.

If this gets picked up, please host the dist archive on FreeBSD servers. Thanks!
Comment 1 Joachim Werner 2019-03-07 15:09:46 UTC
Created attachment 202687 [details]
the patch adding sysutils/rmlint/* - with added GNOME dependency
Comment 2 Joachim Werner 2019-03-12 12:11:42 UTC
Created attachment 202811 [details]
patch adding sysutils/rmlint/*

so, I guess third time's a charme: I changed the Makefile so that the dist package is fetched directly from github.com
I figured that's better practise.
Comment 3 Joachim Werner 2019-12-02 21:56:40 UTC
Created attachment 209633 [details]
patch adding port files for rmlint-2.9.0

hi there, a new rmlint version is out, so I updated the port proposal.
Comment 4 Joseph Mingrone freebsd_committer 2020-12-03 18:32:31 UTC
Created attachment 220227 [details]
Updated patch to add sysutils/rmlint
Comment 5 Joseph Mingrone freebsd_committer 2020-12-03 18:33:35 UTC
Hello.  Thanks for submitting and apologies for the long delay.

I have attached a patch that addresses some issues and made the formatting conform to what is described in the Porter's Handbook.  Are you good with these changes?

I see there is a newer version available, however there is a bug affecting FreeBSD that causes rmlint to fail.  https://github.com/sahib/rmlint/issues/438
Comment 6 Joachim Werner 2021-01-23 23:18:39 UTC
Hi! No worries - the changes look good to me!
Let's just stay on 2.9.0 for now, I'll update it to 2.10 soon.
(There seems to be a fix already, but I haven't looked into it yet)

Thanks!
Comment 7 Joachim Werner 2021-02-09 15:29:16 UTC
Created attachment 222295 [details]
patch to add rmlint-2.10.1

This patch now includes a more recent version (shortly after 2.10.1) that works on FreeBSD.
Comment 8 Joseph Mingrone freebsd_committer 2021-02-09 17:39:53 UTC
Looks good, but the build fails on i386 because lseek64 is not defined.  I propose the patch below as a fix.

--- lib/utilities.h.orig        2021-02-09 17:20:43 UTC
+++ lib/utilities.h
@@ -127,6 +127,10 @@ static inline void rm_sys_close(int fd) {
     }
 }

+#ifndef HAVE_LSEEK64
+#define lseek64 lseek
+#endif
+
 static inline gint64 rm_sys_preadv(int fd, const struct iovec *iov, int iovcnt,
                                    RmOff offset) {
 #if RM_IS_APPLE || RM_IS_CYGWIN
Comment 9 Joachim Werner 2021-02-09 18:21:50 UTC
Created attachment 222304 [details]
add rmlint 2.10.1 - also for i386

Ouch - I admit I didn't test it for i386. I incorporated your patch, but couldn't test it yet - my i386 poudriere still has 129 queued ports (including llvm) before it hits rmlint, and that'll take a while... Maybe yours is quicker?
Thanks!

BTW I checked maintainer-approval, although technically I'm not maintainer yet, I hope that's acceptable.
Comment 10 Joseph Mingrone freebsd_committer 2021-02-09 18:25:01 UTC
I tested 11.4/12.2 i386/amd64 (tier 1) and so far so good.  I'm just waiting on 12.2 i386.  If all goes well, I'll commit.

I think maintainer approval makes sense, since you submitted the port. :)
Comment 11 commit-hook freebsd_committer 2021-02-09 19:26:51 UTC
A commit references this bug:

Author: jrm
Date: Tue Feb  9 19:26:28 UTC 2021
New revision: 564803
URL: https://svnweb.freebsd.org/changeset/ports/564803

Log:
  New port, sysutils/rmlint: Remove duplicates from your filesystem

  PR:		236362
  Submitted by:	Joachim Werner <jockl@pianojockl.org> (Maintainer)

Changes:
  head/sysutils/Makefile
  head/sysutils/rmlint/
  head/sysutils/rmlint/Makefile
  head/sysutils/rmlint/distinfo
  head/sysutils/rmlint/files/
  head/sysutils/rmlint/files/patch-lib_utilities.h
  head/sysutils/rmlint/files/patch-lib_xattr.c
  head/sysutils/rmlint/pkg-descr
Comment 12 Joseph Mingrone freebsd_committer 2021-02-09 19:31:12 UTC
Committed.  Thanks for submitting and apologies for the long delay.

Joe
Comment 13 Joseph Mingrone freebsd_committer 2021-02-10 03:56:12 UTC
FYI, after some comments, I committed a change without explicit approval, since I don't believe there are any changes to the final package, other than pkg-descr.  If you see any problems, just submit another patch and tag me and I'll take care of as soon as I can.

Joe
Comment 14 Joseph Mingrone freebsd_committer 2021-02-10 15:24:23 UTC
....and one more commit.  I incorrectly assumed the GH_COMMIT=a726d0... was for version 2.10.1 and so redundant. The Porter's Handbook describes how to create a port/package for an upstream commit that is not versioned.  This is what I did in the latest commit.
Comment 15 Guangyuan Yang freebsd_committer 2021-05-30 09:13:27 UTC
(In reply to Joseph Mingrone from comment #14)

I believe we can safely close this PR now?